This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 831513 - Impossible to create JMS destination with default settings
Impossible to create JMS destination with default settings
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.4
Unspecified Unspecified
high Severity high (vote)
: ---
: RHQ 4.5.0
Assigned To: Heiko W. Rupp
Mike Foley
:
: 838667 (view as bug list)
Depends On:
Blocks: 831516
  Show dependency treegraph
 
Reported: 2012-06-13 03:59 EDT by Heiko W. Rupp
Modified: 2013-09-01 06:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 831516 (view as bug list)
Environment:
Last Closed: 2013-09-01 06:09:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Proposed patch (8.06 KB, patch)
2012-06-13 04:11 EDT, Heiko W. Rupp
hrupp: review? (ian.springer)
Details | Diff

  None (edit)
Description Heiko W. Rupp 2012-06-13 03:59:01 EDT
Take EAP 5.1.2 in to inventory, try to create a JMS Queue or Topic by only giving the required name and JNDIName.

This will fail on EAP 5.1.2 with

vfsfile:/devel/jboss-eap-5.1/jboss-as/server/default/deploy/java__myQ2-service.xml -> org.jboss.deployment.DeploymentException: Error configuring attribute DLQ

Same for ExpiryQueue and ServerPeer.


Workaround is to have the user deliver those properties

Patch is to add those settings as 'value' attribute like this:

<c:simple-property required="false" name="expiryQueue" default="jboss.messaging.destination:service=Queue,name=ExpiryQueue">

<c:simple-property required="false" name="DLQ" default="jboss.messaging.destination:service=Queue,name=DLQ">

<c:simple-property required="false" name="serverPeer" default="jboss.messaging:service=ServerPeer">
Comment 2 Heiko W. Rupp 2012-06-13 04:11:33 EDT
Created attachment 591399 [details]
Proposed patch
Comment 3 Heiko W. Rupp 2012-06-13 09:22:26 EDT
master 4fcfaf0e28be1
Comment 4 Larry O'Leary 2012-07-20 15:18:15 EDT
*** Bug 838667 has been marked as a duplicate of this bug. ***
Comment 5 Heiko W. Rupp 2013-09-01 06:09:49 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.